:root {
    --clr-linear-gradient: hsl(236, 72%, 79%), hsl(237, 63%, 64%);
    --clr-very-light-grayish-blue: hsl(240, 78%, 98%);
    --clr-light-grayish-blue: hsl(234, 14%, 74%);
    --clr-grayish-blue: hsl(233, 13%, 49%);
    --clr-dark-grayish-blue: hsl(232, 13%, 33%);

    --ff-default: "Montserrat", sans-serif;

    --fw-700: 700;
}

body {
    background-color: var(--clr-very-light-grayish-blue);
    color: var(--clr-grayish-blue);
    font-family: var(--ff-default);
    font-size: 0.9375rem;
    font-weight: var(--fw-700);
    line-height: 1;
    overflow-x: hidden;
}

ul {
    list-style: none;
}

/*Text styles*/

.title {
    font-size: 2rem;
}

.card .price {
    font-size: 4.25rem;
    color: var(--clr-dark-grayish-blue);
}

.card .price span {
    font-size: 2.5rem;
}

/*Toggle styles*/

.toggle-container {
    margin: 3rem 0 5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 1.5rem;
}

.switch {
    border-radius: 1rem;
    display: inline-block;
    position: relative;
    width: 3.5rem;
    height: 2rem;
    padding: 0.25rem;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }

.slider {
    display: inline-block;
    background: linear-gradient(var(--clr-linear-gradient));
    border-radius: 1rem;
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    -webkit-transition: .4s;
    transition: .4s;  
}

.slider:before {
    content: "";
    position: absolute;
    height: 1.5rem;
    width: 1.5rem;
    border-radius: 50%;
    left: 0.25rem;
    bottom: 0.25rem;
    background-color: var(--clr-very-light-grayish-blue);
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider:before {
    -webkit-transform: translateX(24px);
    -ms-transform: translateX(24px);
    transform: translateX(24px);
}

/*General styles*/

.wrapper {
    background: url(../images/bg-top.svg) no-repeat top -1.875rem right -11.875rem;
    text-align: center;
    padding: 4.375rem 1.5rem;
}

.card-container {
    display: flex;
    flex-direction: column;
    row-gap: 2rem;
    max-width: 26.5625rem;
    margin: 0 auto;
}

.card {
    background-color: var(--clr-very-light-grayish-blue);
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
    border-radius: 0.625rem;
    padding: 1.875rem 1.75rem;
    display: flex;
    flex-direction: column;
    row-gap: 2rem;
}

.card .price {
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 10px;
}

.card.pro {
    background: linear-gradient(var(--clr-linear-gradient));
}

.card-item {
    border-top: 1px solid var(--clr-light-grayish-blue);
    border-bottom: 1px solid var(--clr-light-grayish-blue);
    padding: 1.25rem 0;
}

.card-item.middle {
    border: none;
}

.card-btn {
    background: linear-gradient(var(--clr-linear-gradient));
    border: none;
    border-radius: 0.375rem;
    padding: 1.125rem 0 1.0625rem;
    color: var(--clr-very-light-grayish-blue);
    text-transform: uppercase;
}

.card.pro {
    color: var(--clr-very-light-grayish-blue);
}

.card.pro .price {
    color: var(--clr-very-light-grayish-blue);
}

.card.pro .card-btn {
    background: var(--clr-very-light-grayish-blue);
}

.card.pro .card-btn span {
    background-image: linear-gradient(var(--clr-linear-gradient));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    color: hsl(237, 63%, 64%);
}

.price.monthly {
    display: none;
}

@media (min-width: 64rem) {

    .bg-top {
        position: absolute;
        top: 0;
        right: 0;
        z-index: -1;
    }

    .wrapper {
        background: url(../images/bg-top.svg) top right, url(../images/bg-bottom.svg) bottom left;
        background-repeat: no-repeat;
    }

    .card-container {
        max-width: 65.625rem;
        flex-direction: row;
        justify-content: center;
        align-items: center;
    }

    .card {
        width: 21.75rem;
        height: 28.25rem;
        row-gap: 1.8125rem;
    }

    .card.pro {
        height: 31.25rem;
        padding: 3.625rem 2rem 0;
    }

    .card .price {
        font-size: 4rem;
    }
}